snapcraft-version: 8.2.11
snapcraft-started-at: '2024-06-18T12:13:29.959142Z'
snapcraft-os-release-id: ubuntu
snapcraft-os-release-version-id: '22.04'
name: novnc
version: 1.5.0
summary: Open Source VNC client using HTML5 (WebSockets, Canvas)
description: |
  Open Source VNC client using HTML5 (WebSockets, Canvas).
  noVNC is both a VNC client JavaScript library as well as an
  application built on top of that library. noVNC runs well in any
  modern browser including mobile browsers (iOS and Android).
base: core22
grade: stable
confinement: strict
apps:
  novnc:
    command: ./novnc_proxy
    plugs:
    - network
    - network-bind
  novncsvc:
    command: ./svc_wrapper.sh
    daemon: forking
    plugs:
    - network
    - network-bind
parts:
  novnc:
    source: .
    plugin: dump
    organize:
      utils/novnc_proxy: /
    stage:
    - vnc.html
    - app
    - core/**/*.js
    - vendor/**/*.js
    - novnc_proxy
    stage-packages: []
    prime: []
    build-packages: []
  novnc-deps:
    plugin: nil
    stage-packages:
    - bash=5.1-6ubuntu1.1
    stage: []
    prime: []
    build-packages: []
  svc-script:
    source: snap/local
    plugin: dump
    stage:
    - svc_wrapper.sh
    stage-packages: []
    prime: []
    build-packages: []
  svc-script-deps:
    plugin: nil
    stage-packages:
    - bash=5.1-6ubuntu1.1
    - jq=1.6-2.1ubuntu3
    - libjq1=1.6-2.1ubuntu3
    - libonig5=6.9.7.1-2build1
    stage: []
    prime: []
    build-packages: []
  websockify:
    source: https://github.com/novnc/websockify/archive/v0.12.0.tar.gz
    plugin: python
    stage-packages:
    - libblas3=3.10.0-2ubuntu1
    - libgfortran5=12.3.0-1ubuntu1~22.04
    - liblapack3=3.10.0-2ubuntu1
    - libquadmath0=12.3.0-1ubuntu1~22.04
    - python3-numpy=1:1.21.5-1ubuntu22.04.1
    stage: []
    prime: []
    build-packages: []
architectures:
- amd64
image-info:
  build_url: https://github.com/novnc/noVNC/actions/runs/9564738427
build-packages: []
build-snaps: []
primed-stage-packages:
- bash=5.1-6ubuntu1.1
- jq=1.6-2.1ubuntu3
- libblas3=3.10.0-2ubuntu1
- libgfortran5=12.3.0-1ubuntu1~22.04
- libjq1=1.6-2.1ubuntu3
- liblapack3=3.10.0-2ubuntu1
- libonig5=6.9.7.1-2build1
- libquadmath0=12.3.0-1ubuntu1~22.04
- python3-numpy=1:1.21.5-1ubuntu22.04.1
